      program helloworld

	include 'mpif.h'
        integer comm, rank, numproc, ierror

	! Initiate MPI.

        call MPI_INIT(ierror)
        call MPI_COMM_RANK(mpi_comm_world, rank, ierror)
        call MPI_COMM_SIZE(mpi_comm_world, numproc, ierror)
 
        print *,"Hello World from processor",rank,"of",numproc

        if (rank == 0) then
          print *,"Hello again from processor", rank
        endif

        call MPI_FINALIZE(ierror)

      end program helloworld





